function visualize(S, C, a)

d = size(S,2);

if (d > 3)
  S2 = S(:,2:d)./repmat(S(:,1),1,d-1);
  a2 = a(2:d);
  a0 = null(a2);
  P = [a0(:,1) a2'];
  S_proj = S2*P;
  a_proj = a(2:d)*P;
  a_proj = [a(1) a_proj/norm(a_proj)];
else
  S_proj = S(:,2:d);
  a_proj = a/norm(a);
end

    figure; 
    axis equal; 
    hold on;
    plot_clouds([C S_proj]);    
    plot_line(a_proj, 10 );
    hold off;
    
